%global __provides_exclude_from ^%{_libdir}/wingpanel/.*\\.so$

%global srcname applications-menu

Name:           slingshot-launcher
Summary:        Lightweight and stylish app launcher
Version:        2.2.0
Release:        7%{?dist}
License:        GPLv3+

URL:            https://github.com/elementary/%{srcname}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

# Patch to fix undefined symbols has been accepted upstream:
# https://github.com/elementary/applications-menu/commit/63397cdfe5297a547e4a806cc8fd7803de1c6869
Patch0:         00-fix-linker-flags.patch

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  vala >= 0.26.2
BuildRequires:  vala-tools

BuildRequires:  appstream-vala

BuildRequires:  pkgconfig(appstream) >= 0.10.0
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.12.0
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libgnome-menu-3.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(plank) >= 0.10.9
BuildRequires:  pkgconfig(switchboard-2.0)
BuildRequires:  pkgconfig(unity)
BuildRequires:  pkgconfig(wingpanel-2.0)
BuildRequires:  pkgconfig(zeitgeist-2.0)

Requires:       redhat-menus
Requires:       zeitgeist

Supplements:    wingpanel%{?_isa}


%description
The lightweight and stylish app launcher from elementary.


%prep
%autosetup -n %{srcname}-%{version} -p1


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang slingshot


%files -f slingshot.lang
%doc README.md
%license COPYING

%config(noreplace) %{_sysconfdir}/xdg/menus/pantheon-applications.menu

%{_libdir}/wingpanel/libslingshot.so

%{_datadir}/glib-2.0/schemas/org.pantheon.desktop.slingshot.gschema.xml


%changelog
* Wed Jun 13 2018 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-7
- Rebuild for granite5 soname bump.

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 23 2018 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-5
- Include upstream patch to fix undefined symbols.

* Tue Nov 21 2017 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-4
- Rebuild for granite soname bump (really, this time).

* Sun Nov 12 2017 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-3
- Add Supplements: wingpanel, so the application menu gets pulled in correctly.

* Sat Nov 04 2017 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-2
- Rebuild for granite soname bump.

* Wed Sep 27 2017 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-1
- Update to version 2.2.0.

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Fabio Valentini <decathorpe@gmail.com> - 2.1.3-1
- Update to version 2.1.3.

* Fri May 12 2017 Fabio Valentini <decathorpe@gmail.com> - 2.1.2-1
- Update to version 2.1.2.

* Sun Feb 12 2017 Fabio Valentini <decathorpe@gmail.com> - 2.1.1-1
- Update to version 2.1.1.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com> - 2.1.0-1
- Update to version 2.1.0.
- Filter provides so libslingshot.so is excluded.
- Add missing Requires: redhat-menus.
- Fix mode of some source files.
- Mark config file as config file.

* Wed Jan 11 2017 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-2
- Clean up spec file.

* Tue Jan 03 2017 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-1
- Update to version 2.0.1.

* Sat Dec 24 2016 Fabio Valentini <decathorpe@gmail.com> - 2.0-4
- Enable libunity support.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 2.0-3
- Mass rebuild.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 2.0-2
- Spec file cleanups.

* Fri Aug 19 2016 Fabio Valentini <decathorpe@gmail.com> - 2.0-1
- Update to version 2.0.


